Subdomain finder
A Business plan is required to use this feature.
Enumerate subdomains for a domain.
GET https://api.wappalyzer.com/v2/subdomains/
| Property | Description |
|---|---|
| Execution | Synchronous |
| Request timeout | 10 seconds |
| Rate limit | 5 requests per second |
| Pricing | 1 credit per 10 subdomains |
| Name | Description |
|---|---|
domains (required) | Between one and ten domain names, comma separated.
Example:
|
limit | The maximum number of results to return. Must be a multiple of 10.
Example:
|
after |
Get the next page of results by passing the value of
Example:
|
The response is an array with one object per requested domain.
| Name | Description |
|---|---|
domain | The requested domain name. |
subdomains | List of subdomains found for the domain. |
moreAfter |
Indicates that more results are available. To get the next page
of results, set this value as the after parameter
in a subsequent query.
|
Request
curl -H "x-api-key: <your api key>" "https://api.wappalyzer.com/v2/subdomains/?domains=example.com"
Response
[ { "domain": "example.com", "subdomains": { "status.example.com": { "createdAt": 1670285563, "updatedAt": 1675604779 }, ... "shop.example.com": { "createdAt": 1670285563, "updatedAt": 1675604779 } }, "moreAfter": "shop.example.com" } ]
Subscribe to receive occasional product updates.